<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: rtl Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classpdts__tx.html">pdts_tx</a></li><li class="navelem"><a class="el" href="classpdts__tx_1_1rtl.html">rtl</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">rtl Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classpdts__tx_1_1rtl-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:ac382ccae7174cb5bd145386e8a57e207"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac382ccae7174cb5bd145386e8a57e207"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#ac382ccae7174cb5bd145386e8a57e207">PROCESS_34</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a993d10599b4cb7fc52ea7e3ea3b5f651"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a993d10599b4cb7fc52ea7e3ea3b5f651"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#a993d10599b4cb7fc52ea7e3ea3b5f651">PROCESS_35</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:afa03e1d25306c7c0af771efe4fc37346"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa03e1d25306c7c0af771efe4fc37346"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#afa03e1d25306c7c0af771efe4fc37346">PROCESS_36</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ac3d944bec21d5b726b70e5c1391246b5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac3d944bec21d5b726b70e5c1391246b5"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#ac3d944bec21d5b726b70e5c1391246b5">PROCESS_99</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3e46d2aba1f6628cb389d970288f1d1a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e46d2aba1f6628cb389d970288f1d1a"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#a3e46d2aba1f6628cb389d970288f1d1a">PROCESS_100</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a6759aea78c9cf81fce5c6c1672996c84"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6759aea78c9cf81fce5c6c1672996c84"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#a6759aea78c9cf81fce5c6c1672996c84">PROCESS_101</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:a777c623fa96623bad33c48dc4d9e5221"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a777c623fa96623bad33c48dc4d9e5221"></a>
<b><a class="el" href="classpdts__tx_1_1rtl.html#a777c623fa96623bad33c48dc4d9e5221">state_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">START</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ST_K</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ST_A</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ST_S</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ST_D</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ST_C</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ST_E</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a499e7824037af983d0524a98081e7f0b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a499e7824037af983d0524a98081e7f0b"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#a499e7824037af983d0524a98081e7f0b">state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">state_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:add28d83f404fa1f9dac7225576fd01c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="add28d83f404fa1f9dac7225576fd01c3"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#add28d83f404fa1f9dac7225576fd01c3">actr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a26a613bb959c4e6811be235d7a982d5d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a26a613bb959c4e6811be235d7a982d5d"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#a26a613bb959c4e6811be235d7a982d5d">actr_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aade70a15203f450b2b9cfae069be30c0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aade70a15203f450b2b9cfae069be30c0"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#aade70a15203f450b2b9cfae069be30c0">csum</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6d799b1ebf89e8e767dbeb494a79b1f8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6d799b1ebf89e8e767dbeb494a79b1f8"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#a6d799b1ebf89e8e767dbeb494a79b1f8">smode</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af8398f06575974cd092e41427da3a8f9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af8398f06575974cd092e41427da3a8f9"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#af8398f06575974cd092e41427da3a8f9">smode_r</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ada6d7d82869271fa690747a86f757591"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada6d7d82869271fa690747a86f757591"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#ada6d7d82869271fa690747a86f757591">s_ok</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab9540b529a91ee82deedead9e80965e0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab9540b529a91ee82deedead9e80965e0"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#ab9540b529a91ee82deedead9e80965e0">astb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6cf7b6b6552a8b74843941ce63b5d244"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6cf7b6b6552a8b74843941ce63b5d244"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#a6cf7b6b6552a8b74843941ce63b5d244">cclr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aba07f32e047bfb52454f8d8b89496c77"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aba07f32e047bfb52454f8d8b89496c77"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#aba07f32e047bfb52454f8d8b89496c77">cstb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa220fd72466bf2955a6b67c928e374e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa220fd72466bf2955a6b67c928e374e5"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#aa220fd72466bf2955a6b67c928e374e5">trans</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a573f2bd39a541f36faa87a539d43d35e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a573f2bd39a541f36faa87a539d43d35e"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#a573f2bd39a541f36faa87a539d43d35e">q_a</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a757be6f8683e597d03006c597022c42f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a757be6f8683e597d03006c597022c42f"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#a757be6f8683e597d03006c597022c42f">q_s</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a21e13e8f3bd3259b582c45eb952394fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a21e13e8f3bd3259b582c45eb952394fd"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#a21e13e8f3bd3259b582c45eb952394fd">sctr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac819745b7bea3a3e9d385ec1b4ba8cf4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac819745b7bea3a3e9d385ec1b4ba8cf4"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#ac819745b7bea3a3e9d385ec1b4ba8cf4">spctr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab5351a9f299b6e1f56f0072b15a29d71"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab5351a9f299b6e1f56f0072b15a29d71"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#ab5351a9f299b6e1f56f0072b15a29d71">sw</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5c213819795dad4ed4535573afcb6bb6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c213819795dad4ed4535573afcb6bb6"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#a5c213819795dad4ed4535573afcb6bb6">iaddr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span><span class="vhdlchar">ADDR_WDS</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a492b0a1f44c2f1c33b8696816734e6fc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a492b0a1f44c2f1c33b8696816734e6fc"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#a492b0a1f44c2f1c33b8696816734e6fc">icsum</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span><span class="vhdlchar">CSUM_WDS</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a2ce08b932142c298cadee8c4eb43a8fc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ce08b932142c298cadee8c4eb43a8fc"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#a2ce08b932142c298cadee8c4eb43a8fc">cksum</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_cksum</b>  </td></tr>
<tr class="memitem:a2ce08b932142c298cadee8c4eb43a8fc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ce08b932142c298cadee8c4eb43a8fc"></a>
<a class="el" href="classpdts__tx_1_1rtl.html#a2ce08b932142c298cadee8c4eb43a8fc">cksum</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_cksum</b>  </td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__tx_8vhd_source.html#l00031">31</a> of file <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__tx_8vhd_source.html">pdts_tx.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/DTS/ProtoDUNE_TimingSystem/<a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__tx_8vhd_source.html">pdts_tx.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/timing_system/ProtoDUNE_TimingSystem/<a class="el" href="timing__system_2ProtoDUNE__TimingSystem_2pdts__tx_8vhd_source.html">pdts_tx.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
